Bug 734596 - liveinst does not unmount target USB before trying to install to it in soas-v6 live CD
Summary: liveinst does not unmount target USB before trying to install to it in soas-v...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 20:56 UTC by satellitgo
Modified: 2013-02-14 00:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 00:52:42 UTC


Attachments (Terms of Use)
failure report from liveinst (1.17 MB, text/plain)
2011-08-30 20:56 UTC, satellitgo
no flags Details

Description satellitgo 2011-08-30 20:56:51 UTC
Created attachment 520690 [details]
failure report from liveinst

Description of problem:
liveinst does not unmount a target USB before trying to install to it in soas-v6 live CD (There is no warning-it just fails)

Version-Release number of selected component (if applicable):
http://koji.fedoraproject.org/koji/getfile?taskID=3301890&name=Fedora-16-Nightly-20110825.14-x86_64-Live-soas.iso

How reproducible:


Steps to Reproduce:
1.start liveinst from sugar root terminal
2.try to install to USB
3.
  
Actual results:
see attached failure message

Expected results:
install Soas to USB with custom / ext4 formatting

Additional info:
sugar does not show a mounted USB unless one looks at the "frame" where it can be unmounted.
http://wiki.sugarlabs.org/go/Community/Distributions/Fedora-SoaS#Install_to_2_GB_USB_HD:

Comment 1 satellitgo 2011-08-31 23:00:08 UTC
This seems to specific to the Soas Nightly Composes

Live TC-Bet_desktop and Live TC-Beta KDE CD's have anaconda unmount the USB's when it starts

Easy fix : Hit sugar frame and unmount the target USB before attempting install.

(This may be relevant: sugar uses gvfs to see external USB's)

Comment 2 Chris Lumens 2012-10-05 15:30:56 UTC
Is this better in F18?

Comment 3 Fedora End Of Life 2013-01-16 22:19:28 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-14 00:52:46 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.